import flask
import itsdangerous
import playhouse.sqlite_ext

import os

db = playhouse.sqlite_ext.SqliteExtDatabase(None)
serializer = itsdangerous.URLSafeTimedSerializer(os.getenv("SECRET_KEY", "TEMP_KEY"))
app_path = os.environ["APP_PATH"].strip()
app = flask.Flask(
    __name__,
    static_folder=os.path.join(os.getcwd(), 'static'),
)
app.secret_key = os.getenv("SECRET_KEY", "ARGLBARGL")
